Subject: RE: Watchdog on MPC82xx

From: Bastos Fernandez Alexandre <[email-masked]>
Date: Mon, 17 Apr 2006 10:31:12 +0200

Mike,

I tested several times last week but it didn't work for me.
I had made the changes in U-boot as you say, but it keeped
reseting at the time. In fact, in the log_buf I can see
several printk's after setup_arch (where ppc_md.heartbeat)
is assigned, but the watchdog counter is not reloaded.

Which could be the difference? I am using ramdisk,
and a MPC8248 clocked at 100MHz, but I don't think
this will be the reason.

Now, someone has proposed me to try reloading WDT in
printk calls. I will test.

Best regards,

Alex

> Bastos Fernandez Alexandre wrote:
> 
> >
> >So, any other idea? Is the WDT on MPC8248 usable at all?
> >  
> >
> I used the watchdog timer on mpc8247 and mpc8271. The mpc8248 watchdog 
> should be the same. I used ppc_md.heartbeat to write to the watchdog 
> registers and it worked fine. Also, I've added WATCHDOG_RESET()  to 
> common/cmd_bootm.c in U-Boot just before the jump to kernel.
> 
> >Thanks,
> >
> >Alex
> >_______________________________________________
> >Linuxppc-embedded mailing list
> >[email-masked]
> >https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> >
> >
> >
> >  
> >
> 
> 
> -- 
> Sincerely yours,
> Mike Rapoport
> -----------------------------------------------------------------
> CompuLab Ltd.
> Web: http://www.compulab.co.il